---
lang: en
title: 'API docs: filter.wherebuilder._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.wherebuilder._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [WhereBuilder](./filter.wherebuilder.md) &gt; [(constructor)](./filter.wherebuilder._constructor_.md)

## WhereBuilder.(constructor)

Constructs a new instance of the `WhereBuilder` class

**Signature:**

```typescript
constructor(w?: Where<MT>);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  w | [Where](./filter.where.md)<!-- -->&lt;MT&gt; | _(Optional)_ |


